﻿using System;
using System.ComponentModel;
using HealthyHitsujiWpf.Command;

namespace HealthyHitsujiWpf.Model.Content
{
    public delegate bool CanExecuteDelegate();
    public delegate void executeDelegate();

    public abstract class _ACommandBindableModel : INotifyPropertyChanged
    {
        public _APropertyChangedCommand command_
        {
            get;
            set;
        }

        public CanExecuteDelegate canExeDelegate_;
        public executeDelegate exeDelegate_;


        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(String propertyName)
        {
            try
            {
                PropertyChangedEventHandler handle = PropertyChanged;
                if (handle != null)
                    handle(this, new PropertyChangedEventArgs(propertyName));
            }
            catch (Exception ex)
            {
                Console.Write(ex.ToString());
            }
        }

    }
}
