﻿using System;
using System.Windows.Controls;

namespace HealthyHitsujiWpf.Validation
{
    class TextBoxNotAllowNullValidationRule : ValidationRule
    {
        public override ValidationResult Validate(object value, 
                                                  System.Globalization.CultureInfo cultureInfo)
        {
            if (check(value))
            {
                return new ValidationResult(true, null); 
            }
            else
            {
                return new ValidationResult(false, "Int型へ変換不可能な値が入力されています。");
            }
        }

        public static Boolean check(object value)
        {
            int intDefValue = 0;
            if (int.TryParse(value as String, out intDefValue))
            {
                return true;
            }
            else
            {
                return false;
            }
        }
    }
}
