﻿using System;
using System.Text;
using System.Data;
using HealthyHitsujiWpf.Model.Content;
using HealthyHitsujiWpf.Model.DataBase;

namespace HealthyHitsujiWpf.Model.OutPutFileSetterModel
{
    public class CalorieDataSetterModel : _IOutPutCsvFileSetterModel
    {
        #region _IOutPutCsvFileSetterModel メンバ

        public Action<System.Data.DataTable> buildColumnSelectionDelegate()
        {
            return delegate(DataTable table)
            {
                //table.Columns.Add(new DataColumn(MonthDataBaseColumnModel.day_));
                table.Columns.Add(new DataColumn(MonthDataBaseColumnModel.am_));
                table.Columns.Add(new DataColumn(MonthDataBaseColumnModel.noon_));
                table.Columns.Add(new DataColumn(MonthDataBaseColumnModel.pm_));
                table.Columns.Add(new DataColumn(MonthDataBaseColumnModel.other_));
                table.Columns.Add(new DataColumn(MonthDataBaseColumnModel.burn_));
            };
        }

        public Action<System.Data.DataRow, HealthyHitsujiWpf.Model.Content._IContentModel> buildFieldSelectionDelegate()
        {
            return delegate(DataRow row, _IContentModel model)
            {
                DateContentsModel d = (DateContentsModel)model;
                row[MonthDataBaseColumnModel.am_] = d.calAm;
                row[MonthDataBaseColumnModel.noon_] = d.calNoon;
                row[MonthDataBaseColumnModel.pm_] = d.calPm;
                row[MonthDataBaseColumnModel.other_] = d.calOther;
                row[MonthDataBaseColumnModel.burn_] = d.calBurn;
            };
        }

        #endregion
    }
}
