﻿using System;
using System.Collections.Generic;
using HealthyHitsujiWpf.Model.Content;
using HealthyHitsujiWpf.Model.View;
using HitsujiLibrary201004.ObserverPattern.Subject;

namespace HealthyHitsujiWpf.ObserverPattern.Subject
{
    public class _AHitsujiSubject : _ASubject
    {
        #region ▼プロパティ

        //モデルリスト
        private Dictionary<String, _IContentModel> modelList_ = new Dictionary<String, _IContentModel>();
        public Dictionary<String, _IContentModel> models
        {
            get { return modelList_; }
            set { modelList_ = value; }
        }

        //ビューモデルリスト
        private Dictionary<String, _AViewModel> viewModelList_ = new Dictionary<String, _AViewModel>();
        public Dictionary<String, _AViewModel> viewModels
        {
            get { return viewModelList_; }
            set { viewModelList_ = value; }
        }

        #endregion ▲プロパティ

        public override void doMyRole()
        {
            throw new Exception("doMyRole in subject !");
        }

    }
}
